from osgeo import ogr
import sys

_out_file = 'out.txt'
_id_field = 'id'
_error_field = 'error'


def main(in_shp, out_txt, error_field):
	outfile =  open(out_txt, 'w')

	shp = ogr.Open(in_shp)
	layer = shp[0]
	feat = layer.GetNextFeature()
	while feat is not None:
		outfile.write('|-\n')
		outfile.write('|'+feat[_id_field]+'\n')
		outfile.write('|'+feat[error_field]+'\n')
                feat = layer.GetNextFeature()

	#outfile.write('|\n') #last

	outfile.close()
	shp.Destroy()


if __name__ == '__main__':
	if len(sys.argv) < 2:
		print 'Usage: python convert.py input.shp [out.txt] [error_field_name = "error"]'
		sys.exit(-1)
	
	shp_path = sys.argv[1]
	
	out_path = _out_file
	if len(sys.argv) >= 3:
		out_path = sys.argv[2]	
	
	error_field_name = _error_field
	if len(sys.argv) >= 4:
		error_field_name = sys.argv[3]	
	
	main(shp_path, out_path, error_field_name)